Page MenuHomePhabricator

test: test 'hg log' using a bookmark
Needs RevisionPublic

Authored by sebhtml on Sep 19 2020, 9:17 AM.

Details

Reviewers
pulkit
martinvonz

Diff Detail

Branch
sebhtml
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

sebhtml created this revision.Sep 19 2020, 9:17 AM

It seems to work as expected:

$ ./run-tests.py test-log-bookmark.t
running 1 tests using 1 parallel processes 
.
# Ran 1 tests, 0 skipped, 0 failed.

I also ran all the tests.

Ran 875 tests, 56 skipped, 4 failed.

Failed test-completion.t: output changed

-  log: follow, follow-first, date, copies, keyword, rev, line-range, removed, only-merges, user, only-branch, branch, prune, patch, git, limit, no-merges, stat, graph, style, template, include, exclude
+  log: follow, follow-first, date, copies, keyword, rev, line-range, removed, only-merges, user, only-branch, branch, bookmark, prune, patch, git, limit, no-merges, stat, graph, style, template, include, exclude

I will fix this.

Failed test-contrib-emacs.t: output changed

-     passed  1/1  hg-test-mode--compilation-mode-support
+     passed  1/1  hg-test-mode--compilation-mode-support (0.035108 sec)
   
-  Ran 1 tests, 1 results as expected (*) (glob)
+  Ran 1 tests, 1 results as expected, 0 unexpected (2020-09-19 13:52:31+0000, 0.035428 sec)

The difference is the added elapsed time. It's unrelated to what I changed.

Failed test-convert-mtn.t: output changed

+  mtn: warning: ssh_agent: failed to connect to agent: $ENOENT$

Unrelated.

Failed test-https.t: output changed

   $ P="$CERTSDIR" hg --config hostsecurity.ciphers=invalid -R copy-pull id https://localhost:$HGPORT/
-  abort: could not set ciphers: No cipher can be selected.
-  (change cipher string (invalid) in config)
-  [255]
+  5fed3813f7f5

Unrelated too.

pulkit accepted this revision.Sep 24 2020, 3:00 AM
This revision is now accepted and ready to land.Sep 24 2020, 3:00 AM
martinvonz requested changes to this revision.Mon, Nov 9, 12:48 PM
martinvonz added a subscriber: martinvonz.

D8973 was dropped, so this cannot be queued in its current form

This revision now requires changes to proceed.Mon, Nov 9, 12:48 PM